> ## Documentation Index
> Fetch the complete documentation index at: https://readme.amana-dev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post paymentsclientcheckout



## OpenAPI

````yaml /openapi-readme.json post /payments/client/checkout
openapi: 3.1.0
info:
  title: Amana API
  version: 1.0.0
  description: API documentation for Amana platform
servers:
  - url: https://gateway.amana.io
    description: Amana app
security: []
tags:
  - name: onboarding
    description: Endpoints related to user onboarding, KYC processes, and account setup.
  - name: auth
    description: Endpoints for user authentication, token management, and session handling.
  - name: trading
    description: >-
      Endpoints related to trading operations, account management, and market
      data retrieval.
  - name: charting
    description: >-
      Endpoints for retrieving historical price data, technical indicators, and
      other charting-related information.
  - name: uaepass
    description: Endpoints for UAE Pass authentication and identity verification.
  - name: alerts
  - name: cms
  - name: dw
  - name: events
  - name: geo-location
  - name: high-leverage
  - name: kyc
  - name: mt
  - name: nafath
  - name: payments
  - name: promo-codes
  - name: smart-money
  - name: support
  - name: symbols
  - name: trading-accounts
  - name: transactions
  - name: user
  - name: watchlists
paths:
  /payments/client/checkout:
    post:
      tags:
        - payments
      operationId: create_checkout_payment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    amount:
                      type: number
                    currency:
                      type: string
                    wallet_type:
                      type: string
                      enum:
                        - googlepay
                    is_recurring:
                      type: boolean
                    token_data:
                      type: object
                      properties:
                        protocolVersion:
                          type: string
                        signature:
                          type: string
                        signedMessage:
                          type: string
                      required:
                        - protocolVersion
                        - signature
                        - signedMessage
                      additionalProperties: true
                    metadata:
                      type: object
                  required:
                    - amount
                    - currency
                    - wallet_type
                    - token_data
                  additionalProperties: false
                - type: object
                  properties:
                    amount:
                      type: number
                    currency:
                      type: string
                    wallet_type:
                      type: string
                      enum:
                        - applepay
                    is_recurring:
                      type: boolean
                    token_data:
                      type: object
                      properties:
                        signature:
                          type: string
                        version:
                          type: string
                        data:
                          type: string
                        header:
                          type: object
                          additionalProperties: true
                      required:
                        - signature
                        - version
                        - data
                        - header
                      additionalProperties: false
                    metadata:
                      type: object
                  required:
                    - amount
                    - currency
                    - wallet_type
                    - token_data
                  additionalProperties: false
                - type: object
                  properties:
                    amount:
                      type: number
                    currency:
                      type: string
                    is_recurring:
                      type: boolean
                    source:
                      anyOf:
                        - type: object
                          properties:
                            type:
                              enum:
                                - token
                            token:
                              type: string
                          required:
                            - type
                            - token
                          additionalProperties: false
                        - type: object
                          properties:
                            type:
                              enum:
                                - id
                            id:
                              type: string
                            cvv:
                              type: string
                          required:
                            - type
                            - id
                            - cvv
                          additionalProperties: false
                    metadata:
                      type: object
                  required:
                    - amount
                    - currency
                    - source
                  additionalProperties: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  OTPLink:
                    type: string
                  success:
                    type: boolean
                  sessionId:
                    type: string
                required:
                  - success
                  - sessionId
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token obtained from authentication endpoints

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.